﻿using System;
using System.Collections.Generic;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace WpfColorDialgTest
{
	public partial class MainWindow : Window
	{
		public MainWindow()
		{
			InitializeComponent();
		}

		private void button1_Click(object sender, RoutedEventArgs e)
		{
			var dlg = new emanual.Wpf.Controls.WpfColorDialog();

			// ダイアログの表示位置の基準を現在のウインドウにする
			dlg.OwnerWindow = this;
			dlg.LeftOffset = 100;

			Color color = Colors.White;

			if (rdOrange.IsChecked == true)
				color = Colors.Orange;
			else if (rdLime.IsChecked == true)
				color = Colors.Lime;
			else if (rdDodgerBlue.IsChecked == true)
				color = Colors.DodgerBlue;
			else
			{
				color = emanual.Wpf.Controls.ColorUtility.ConvertColorFromString(txtColor.Text);
			}

			// ダイアログの初期値
			dlg.SelectedColor = color;

			if (dlg.ShowDialog() == true)
			{
				colorBorder.Background = new SolidColorBrush(dlg.SelectedColor);
				lblColor.Foreground = new SolidColorBrush(emanual.Wpf.Controls.ColorUtility.GetInvertTextColor(dlg.SelectedColor));
				lblColor.Content = dlg.SelectedColor.ToString();
			}
		}
	} // end of MainWindow class
} // end of namespace
